Skip to main content
PUT
/
pipeline
/
{pipeline_id}
/
transform
/
{pipeline_transform_id}
Update transform
curl --request PUT \
  --url https://api.mezmo.com/v3/pipeline/{pipeline_id}/transform/{pipeline_transform_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_config": {},
  "generation_id": 123,
  "inputs": [
    "<string>"
  ],
  "title": "<string>",
  "description": "<string>",
  "deploy_type": "saas"
}
'

Documentation Index

Fetch the complete documentation index at: https://mezmo-9a59581a-mintlify-926f893d.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your token in the format: Token mytokengoeshere

Path Parameters

pipeline_id
string<uuid>
required
pipeline_transform_id
string<uuid>
required

Body

application/json
type
enum<string>
required
Available options:
filter,
sample,
drop-fields,
parse,
parse-sequentially,
route,
stringify,
compact-fields,
flatten-fields,
dedupe,
encrypt-fields,
decrypt-fields,
js-script,
unroll,
vrl,
reduce,
map-fields,
metrics-tag-cardinality-limit,
aggregate,
event-to-metric,
clustering,
redact,
throttle,
set-timestamp,
data-profiler,
replace,
trace-sampling
user_config
object
required
generation_id
integer
required
inputs
string[]
required
title
string | null
Required string length: 1 - 512
Pattern: ^[^<>"]+$
description
string | null
Minimum string length: 1
Pattern: ^[^<>"]+$
deploy_type
enum<string>
default:saas
Available options:
saas,
local

Response

200

Default Response